ALLEGRO_LINE_JOIN(3)

NAME

ALLEGRO_LINE_JOIN - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_primitives.h>
    typedef enum ALLEGRO_LINE_JOIN

DESCRIPTION

•   ALLEGRO_LINE_JOIN_NONE

•   ALLEGRO_LINE_JOIN_BEVEL

•   ALLEGRO_LINE_JOIN_ROUND

•   ALLEGRO_LINE_JOIN_MITER [IMAGE: ALLEGRO_LINE_JOIN styles] ALLEGRO_LINE_JOIN styles

See the picture for the difference.

The maximum miter length (relative to the line width) can be specified as parameter to the polygon functions.

SINCE

5.1.0

SEE ALSO

al_draw_polygon(3)